#pragma once

#include "managedObject.hpp"
#include <set>

namespace render::kernel
{
class ObjectManager
{
private:
    static std::set<ManagedObject *> objects;

public:
    static void Track(ManagedObject *object) noexcept;
    static void StopTrack(ManagedObject *object) noexcept;

    static void CleanUp() noexcept;
};

} // namespace render::kernel
